org.apache.jmeter.testbeans.gui

## Enum TypeEditor

- java.lang.Object
- - java.lang.Enum<TypeEditor>
  - - org.apache.jmeter.testbeans.gui.TypeEditor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TypeEditor>

      public enum TypeEditor
      extends java.lang.Enum<TypeEditor>

  Allow direct specification of property editors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ComboStringEditor`
    `FileEditor`
    `PasswordEditor`
    `TableEditor`
    `TextAreaEditor`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeEditor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TypeEditor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FileEditor

          public static final TypeEditor FileEditor

    - #### PasswordEditor

          public static final TypeEditor PasswordEditor

    - #### TableEditor

          public static final TypeEditor TableEditor

    - #### TextAreaEditor

          public static final TypeEditor TextAreaEditor

    - #### ComboStringEditor

          public static final TypeEditor ComboStringEditor

  - ### Method Detail

    - #### values

          public static TypeEditor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeEditor c : TypeEditor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeEditor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.